import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';

import apis from './api/index';
Vue.use(apis);
import components from '@/components';
Vue.use(components);
import '@/filter';

import confirmDel from '@/components/dialog';
Vue.use(confirmDel);

import confirmChain from '@/components/confirmChain';
Vue.use(confirmChain);

import VueClipboard from 'vue-clipboard2';
Vue.use(VueClipboard);

import { Lazyload } from 'vant';
// import 'vant/lib/index.css';
Vue.use(Lazyload);

import Component from 'vue-class-component';
import VueRouter from 'vue-router';
Component.registerHooks([
  'beforeRouteEnter', // 进入路由之前
  'beforeRouteLeave', // 离开路由之前
  'beforeRouteUpdate',
]);


Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');
